POST leads/{id}/notes

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

PortalLeadNoteTable
NameDescriptionTypeAdditional information
noteId

integer

None.

leadId

integer

None.

noteText

string

None.

createdByUserId

integer

None.

createdDate

date

None.

Request Formats

application/json, text/json

Sample:
{
  "noteId": 1,
  "leadId": 2,
  "noteText": "sample string 3",
  "createdByUserId": 1,
  "createdDate": "2026-07-14T14:55:47.0643577+00:00"
}

application/xml, text/xml

Sample:
<PortalLeadNoteTable xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/projectalminha.Models">
  <createdByUserId>1</createdByUserId>
  <createdDate>2026-07-14T14:55:47.0643577+00:00</createdDate>
  <leadId>2</leadId>
  <noteId>1</noteId>
  <noteText>sample string 3</noteText>
</PortalLeadNoteTable>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.